<?php
get_header(); ?>

    <div id="primary" class="content-area">
        <main id="main" class="site-main">

            <?php if (have_posts()) : ?>

                <header class="page-header">
                    <?php
                    the_archive_description('<div class="taxonomy-description">', '</div>');
                    ?>
                </header><!-- .page-header -->
                <?php
                if (is_post_type_archive('give_forms') || is_tax('give_forms_category') || is_tax('give_forms_tag')) {
                    $give_style = ecofa_get_theme_option('give_archive_layout', 'grid');
                    if ($give_style == 'list') {
                        get_template_part('template-parts/give/content-form-list');
                    } else {
                        get_template_part('template-parts/give/content-form');
                    }
                } elseif (is_post_type_archive('ecofa_portfolio') || is_tax('ecofa_portfolio_cat')) {
                    get_template_part('template-parts/archive-portfolio');
                } else {
                    get_template_part('loop');
                }
            else :
                get_template_part('content', 'none');
            endif;
            ?>
        </main><!-- #main -->
    </div><!-- #primary -->

<?php
do_action('ecofa_sidebar');
get_footer();
