(function ($) {
    "use strict";
    $(window).on('elementor/frontend/init', () => {
        elementorFrontend.hooks.addAction('frontend/element_ready/ecofa-image-panorama.default', ($scope) => {
            var panorama, viewer, container;
            var ecofa_panorama = $('.ecofa-panorama', $scope),
                data = ecofa_panorama.data('settings');
            container = document.querySelector('.ecofa-panorama');
            panorama = new PANOLENS.ImagePanorama(data.img);
            viewer = new PANOLENS.Viewer({container: container});
            viewer.add(panorama);
        });
    });
})
(jQuery);