<?php
// Image
use Elementor\Controls_Manager;


add_action('elementor/element/nested-tabs/section_tabs/before_section_end', function ($element, $args) {
    $element->add_control(
        'style',
        [
            'label'        => esc_html__('Style', 'ecofa'),
            'type'         => Controls_Manager::SELECT,
            'default'      => '1',
            'options'      => [
                '1' => esc_html__('Style 1', 'ecofa'),
                '2' => esc_html__('Style 2', 'ecofa'),
            ],
            'prefix_class' => 'tabs-style-'
        ]
    );
}, 10, 2);
add_action('elementor/element/nested-tabs/section_tabs_style/before_section_end', function ($element, $args) {
    $element->add_responsive_control(
        'tabs_margin',
        [
            'label'      => esc_html__('Margin', 'ecofa'),
            'type'       => Controls_Manager::DIMENSIONS,
            'size_units' => ['px', 'em', '%'],
            'selectors'  => [
                '{{WRAPPER}} .e-n-tabs-heading' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
            ],
        ]
    );
}, 10, 2);



