<?php
/**
 * =================================================
 * Hook ecofa_page
 * =================================================
 */
add_action('ecofa_page', 'ecofa_page_header', 10);
add_action('ecofa_page', 'ecofa_page_content', 20);

/**
 * =================================================
 * Hook ecofa_single_post_top
 * =================================================
 */

/**
 * =================================================
 * Hook ecofa_single_post
 * =================================================
 */
add_action('ecofa_single_post', 'ecofa_post_thumbnail', 10);
add_action('ecofa_single_post', 'ecofa_post_header', 20);
add_action('ecofa_single_post', 'ecofa_post_content', 30);

/**
 * =================================================
 * Hook ecofa_single_post_bottom
 * =================================================
 */
add_action('ecofa_single_post_bottom', 'ecofa_post_nav', 10);
add_action('ecofa_single_post_bottom', 'ecofa_display_comments', 20);

/**
 * =================================================
 * Hook ecofa_loop_post
 * =================================================
 */
add_action('ecofa_loop_post', 'ecofa_post_header', 15);
add_action('ecofa_loop_post', 'ecofa_post_content', 30);

/**
 * =================================================
 * Hook ecofa_footer
 * =================================================
 */
add_action('ecofa_footer', 'ecofa_footer_default', 20);

/**
 * =================================================
 * Hook ecofa_after_footer
 * =================================================
 */

/**
 * =================================================
 * Hook wp_footer
 * =================================================
 */
add_action('wp_footer', 'ecofa_template_account_dropdown', 1);
add_action('wp_footer', 'ecofa_mobile_nav', 1);

/**
 * =================================================
 * Hook wp_head
 * =================================================
 */
add_action('wp_head', 'ecofa_pingback_header', 1);

/**
 * =================================================
 * Hook ecofa_before_header
 * =================================================
 */

/**
 * =================================================
 * Hook ecofa_affter_header
 * =================================================
 */

/**
 * =================================================
 * Hook ecofa_before_content
 * =================================================
 */

/**
 * =================================================
 * Hook ecofa_content_top
 * =================================================
 */

/**
 * =================================================
 * Hook ecofa_post_content_before
 * =================================================
 */

/**
 * =================================================
 * Hook ecofa_post_content_after
 * =================================================
 */

/**
 * =================================================
 * Hook ecofa_sidebar
 * =================================================
 */
add_action('ecofa_sidebar', 'ecofa_get_sidebar', 10);

/**
 * =================================================
 * Hook ecofa_loop_after
 * =================================================
 */
add_action('ecofa_loop_after', 'ecofa_paging_nav', 10);

/**
 * =================================================
 * Hook ecofa_page_after
 * =================================================
 */
add_action('ecofa_page_after', 'ecofa_display_comments', 10);
