<?php
get_header(); ?>
    <div id="primary" class="content">
        <main id="main" class="site-main">
            <div class="error-404 not-found" style="background-image:url(<?php echo get_theme_file_uri('assets/images/404/404-bg.png') ?>)">
                <div class="page-content">
                    <div class="page-header">
                        <div class="img-404">
                            <img src="<?php echo get_theme_file_uri('assets/images/404/404.png') ?>" alt="<?php echo esc_attr__('404 Page not found', 'ecofa') ?>">
                        </div>
                        <h2 class="error-subtitle"><?php esc_html_e('Sorry, we can’t find that page', 'ecofa'); ?></h2>
                        <div class="error-text">
                            <span><?php esc_html_e("The page you are looking for does not exist. It may have been moved, or removed altogether. Perhaps you can return back to the site's homepage and see if you can find what you are looking for.", 'ecofa') ?></span>
                        </div>
                        <div class="error-button">
                            <a href="<?php echo esc_url(home_url('/')); ?>" class="go-back"><?php esc_html_e('Back to Home', 'ecofa'); ?>
                            </a>
                        </div>
                    </div><!-- .page-content -->
                </div><!-- .error-404 -->
        </main><!-- #main -->
    </div><!-- #primary -->
<?php
get_footer();



