<?php
get_header(); ?>
    <div id="primary" class="content-area">
        <main id="main" class="site-main">
            <?php if (have_posts()) : ?>
                <header class="page-header">
                    <?php
                    the_archive_description('<div class="taxonomy-description">', '</div>');
                    ?>
                </header><!-- .page-header -->
                <?php


                $column   = ecofa_get_theme_option('give_archive_column', 3);
                $per_page = ecofa_get_theme_option('give_forms_per_page', 9);
                $style    = ecofa_get_theme_option('give_archive_layout', 'grid');
                if ($style == 'list') $column = 1;

                $arr = apply_filters('ecofa_archive_give_settings', array(
                    'columns'             => $column,
                    'show_goal'           => true,
                    'image_size'          => 'ecofa-featured-image-large',
                    'show_excerpt'        => true,
                    'excerpt_length'      => 25,
                    'show_featured_image' => true,
                    'display_style'       => 'redirect',
                    'forms_per_page'      => $per_page,
                    'style'               => 'shortcode-form-' . $style,
                ));
                echo ecofa_do_shortcode('ecofa_give_form_grid', $arr);
            endif;
            ?>
        </main><!-- #main -->
    </div><!-- #primary -->

<?php
do_action('ecofa_sidebar');
get_footer();
