(function ($) {
    "use strict";
    $(window).on('elementor/frontend/init', () => {
        const addHandler = ($element) => {
            elementorFrontend.elementsHandler.addHandler(ecofaSwiperBase, {
                $element,
            });
        };
        elementorFrontend.hooks.addAction('frontend/element_ready/ecofa-give-campain.default', ($scope) => {
            let $swiper = $scope.find('.ecofa-swiper-wrapper');
            if ($swiper.length > 0) {
                $swiper.find('.give-wrap').addClass('swiper');
                $swiper.find('.give-wrap').addClass('ecofa-swiper');
                $swiper.find('.give-wrap > div').removeAttr('class');
                $swiper.find('.give-wrap > div').addClass('swiper-wrapper');
                $swiper.find('.give-grid__item').wrap('<div class="swiper-slide"></div>');
            }
        });

        elementorFrontend.hooks.addAction('frontend/element_ready/ecofa-give-campain.default', addHandler);
    });

})(jQuery);