(function ($) {
    "use strict";
    $(window).on('elementor/frontend/init', () => {
        const addHandler = ($element) => {
            elementorFrontend.elementsHandler.addHandler(ecofaSwiperBase, {
                $element,
            })
        }
        // elementorFrontend.hooks.addAction('frontend/element_ready/ecofa-history-carousel.default', addHandler);
        elementorFrontend.hooks.addAction('frontend/element_ready/ecofa-history-carousel.default', function ($scope) {
            const $element = $scope.find('.ecofa-history-swiper');
            if($element.length > 0) {
                const swiper = new Swiper('.ecofa-history-swiper', {
                    direction: "vertical",
                    slidesPerView: 1,
                    spaceBetween: 0,
                    // mousewheel: true,
                    mousewheel: {
                        forceToAxis: true,
                        sensitivity: 2,
                        releaseOnEdges: true,
                    },
                    scrollbar: {
                        el: '.swiper-scrollbar',
                    },
                });
            }

        });
    })
})(jQuery);
