(function ($) {
    "use strict";
    $(window).on('elementor/frontend/init', () => {
        const addHandler = ($element) => {
            elementorFrontend.elementsHandler.addHandler(ecofaSwiperBase, {
                $element,
            });
        };
        // elementorFrontend.hooks.addAction('frontend/element_ready/ecofa-testimonials-carousel.default', addHandler);
        elementorFrontend.hooks.addAction('frontend/element_ready/ecofa-testimonials-carousel.default', function ($scope) {
            const $element = $scope.find('.ecofa-testimonials-carousel-swiper');
            if($element.length > 0) {
                const swiper = new Swiper(".ecofa-testimonials-carousel-swiper", {
                    direction: "horizontal",
                    slidesPerView: 1,
                    spaceBetween: 0,
                    loop: true,
                    pagination: {
                        el: '.swiper-pagination',
                        clickable: true
                    },
                    autoplay: {
                        delay: 5000,
                        disableOnInteraction: false,
                    },
                });
            }
        });
    });
})(jQuery);