<?php
$class[] = 'elementor-grid-' . ecofa_get_theme_option('portfolio_columns', 3);
$class[] = 'elementor-grid-laptop-' . ecofa_get_theme_option('portfolio_columns_laptop', 3);
$class[] = 'elementor-grid-tablet-' . ecofa_get_theme_option('portfolio_columns_tablet', 2);
$class[] = 'elementor-grid-mobile-' . ecofa_get_theme_option('portfolio_columns_mobile', 1);
$class   = esc_attr(implode(' ', array_unique($class)));
?>
<div class="<?php echo esc_attr($class) ?>">
    <div class="elementor-grid">
        <?php
        while (have_posts()) : the_post();
            get_template_part('template-parts/portfolio/content');
        endwhile;
        ?>
    </div>

    <?php

    /**
     * Functions hooked in to ecofa_loop_after action
     *
     * @see ecofa_paging_nav - 10
     */
    do_action('ecofa_loop_after');
    ?>
</div>

